commit: 7f8afa355d54b7c5c3faf1a5332c7c94dc4db28a
Author: Andrey Grozin <grozin <AT> gentoo <DOT> org>
AuthorDate: Tue Feb 28 12:52:31 2017 +0000
Commit: Andrey Grozin <grozin <AT> gentoo <DOT> org>
CommitDate: Tue Feb 28 12:53:44 2017 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=7f8afa35
dev-python/iocapture: python3_6 added
Package-Manager: Portage-2.3.3, Repoman-2.3.1
dev-python/iocapture/iocapture-0.1.2-r1.ebuild | 30 ++++++++++++++++++++++++++
1 file changed, 30 insertions(+)
diff --git a/dev-python/iocapture/iocapture-0.1.2-r1.ebuild
b/dev-python/iocapture/iocapture-0.1.2-r1.ebuild
new file mode 100644
index 0000000000..dfbf4f71c8
--- /dev/null
+++ b/dev-python/iocapture/iocapture-0.1.2-r1.ebuild
@@ -0,0 +1,30 @@
+# Copyright 1999-2017 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id: 521a8c56754f34ba6918b8bc4426f0b679be2186 $
+
+EAPI=5
+
+PYTHON_COMPAT=( python{2_7,3_4,3_5,3_6} pypy )
+
+inherit distutils-r1
+
+DESCRIPTION="Capture stdout,stderr easily"
+HOMEPAGE="https://pypi.python.org/pypi/iocapture/"
+SRC_URI="https://github.com/oinume/iocapture/archive/${PV}.tar.gz ->
${P}.tar.gz"
+
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~ppc ~x86"
+LICENSE="MIT"
+IUSE="test"
+
+RDEPEND=""
+DEPEND="dev-python/setuptools[${PYTHON_USEDEP}]
+ test? (
+ dev-python/pytest[${PYTHON_USEDEP}]
+ $(python_gen_cond_dep 'dev-python/mock[${PYTHON_USEDEP}]'
python2_7 pypy)
+ ${RDEPEND}
+ )"
+
+python_test() {
+ py.test || die "Tests fail with ${EPYTHON}"
+}